Post
/public/v1/pos/tills/import
Import POS tills data for a specific location and business date
Security
HTTP
Type Bearer
Put ONLY your JWT Bearer token on textbox below!
Body parameters
object
locationId
string (uuid)
businessDate
string (date)
importMode
string | null
tills
Array of object (R365.Sync.PosIngestion.Shared.Input.Tills.TillRecord) | null
object
status
string
Valid values[
"Other",
"Open",
"Closed",
"Counted"
]
tillId
string | null
expectedAmount
number (double) | null
cashierEmployeeId
string | null
closedOn
string (date-time) | null
idempotencyKey
string | null
correlationId
string | null
clientTimestampUtc
string (date-time) | null
Responses
200
Tills data accepted for import
object
importId
integer (int64)
requestId
integer (int64)
isNewSession
boolean
correlationId
string | null
422
Unprocessable Content
object
errorCode
string | null
innerError
object (R365.Errors.R365Error)
errorCode
string | null
innerError
object (R365.Errors.R365Error) Recursive